Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Get organization helpdesk settings (deprecated)

This endpoint is deprecated. Use GET /helpdesk/organizations/:organizationId/settings instead.

This endpoint was designed to retrieve organization-specific helpdesk settings, but requires an organization ID to function properly. Please use the endpoint with the organization ID in the path parameter.

GET/helpdesk/organization-settings
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Responses
200

Organization helpdesk settings retrieved successfully

emailAccountsobject[]required

List of email accounts with organization-specific helpdesk settings. Each account shows organization-level overrides and includes effectiveDefaults which shows the final merged settings (organization + workspace defaults). Organization settings override workspace defaults when emails are processed from organization members (or all senders if mode='all').

settingsobjectrequired

Organization-level helpdesk settings. These settings allow organizations to override workspace defaults for their email routing. Organization settings have higher priority than workspace defaults and can apply to all emails or only emails from organization members.

400

Organization ID is required

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Request
curl -X GET "https://leadtime.app/api/public/helpdesk/organization-settings" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "emailAccounts": [
    {
      "addressContains": "acme.com",
      "defaultReplyBody": null,
      "effectiveDefaults": {
        "addressContains": "acme.com",
        "defaultReplyBody": "<p>Default reply</p>",
        "sendDefaultReply": true,
        "taskPriority": "Normal",
        "taskProjectId": "project-uuid-123",
        "taskStatusId": "status-uuid-789",
        "taskTypeId": "type-uuid-456"
      },
      "emailAccountId": "account-uuid-123",
      "emailAddress": "support@example.com",
      "emailDisplayName": "Support Team",
      "isEnabled": true,
      "organizationMode": "onlyMembers",
      "sendDefaultReply": null,
      "taskAccountableId": null,
      "taskAssignedId": null,
      "taskPriority": null,
      "taskProjectId": null,
      "taskStatusId": null,
      "taskTagsIds": null,
      "taskTypeId": null
    }
  ],
  "settings": {
    "emailAccountSettings": [],
    "organizationId": "org-uuid-123",
    "organizationName": "Acme Corp"
  }
}